diff --git a/testing/mozbase/mozdevice/mozdevice/sutini.py b/testing/mozbase/mozdevice/mozdevice/sutini.py
index 7dd5e54c4a..e9cb725b52 100644
--- a/testing/mozbase/mozdevice/mozdevice/sutini.py
+++ b/testing/mozbase/mozdevice/mozdevice/sutini.py
@@ -2,7 +2,8 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this file,
 # You can obtain one at http://mozilla.org/MPL/2.0/.
 
-import ConfigParser
+from __future__ import print_function
+import six.moves.configparser
 import StringIO
 import os
 import sys
@@ -10,6 +11,7 @@ import tempfile
 
 from mozdevice.droid import DroidSUT
 from mozdevice.devicemanager import DMError
+import six
 
 USAGE = '%s <host>'
 INI_PATH_JAVA = '/data/data/com.mozilla.SUTAgentAndroid/files/SUTAgent.ini'
@@ -25,7 +27,7 @@ SCHEMA = {'Registration Server': (('IPAddr', ''),
 
 
 def get_cfg(d, ini_path):
-    cfg = ConfigParser.RawConfigParser()
+    cfg = six.moves.configparser.RawConfigParser()
     try:
         cfg.readfp(StringIO.StringIO(d.pullFile(ini_path)), 'SUTAgent.ini')
     except DMError:
@@ -35,16 +37,16 @@ def get_cfg(d, ini_path):
 
 
 def put_cfg(d, cfg, ini_path):
-    print 'Writing modified SUTAgent.ini...'
+    print('Writing modified SUTAgent.ini...')
     t = tempfile.NamedTemporaryFile(delete=False)
     cfg.write(t)
     t.close()
     try:
         d.pushFile(t.name, ini_path)
-    except DMError, e:
-        print e
+    except DMError as e:
+        print(e)
     else:
-        print 'Done.'
+        print('Done.')
     finally:
         os.unlink(t.name)
 
@@ -53,14 +55,14 @@ def set_opt(cfg, s, o, dflt):
     prompt = '  %s' % o
     try:
         curval = cfg.get(s, o)
-    except (ConfigParser.NoSectionError, ConfigParser.NoOptionError):
+    except (six.moves.configparser.NoSectionError, six.moves.configparser.NoOptionError):
         curval = ''
     if curval:
         dflt = curval
     prompt += ': '
     if dflt:
         prompt += '[%s] ' % dflt
-    newval = raw_input(prompt)
+    newval = input(prompt)
     if not newval:
         newval = dflt
     if newval == curval:
@@ -71,10 +73,10 @@ def set_opt(cfg, s, o, dflt):
 
 def bool_query(prompt, dflt):
     while True:
-        i = raw_input('%s [%s] ' % (prompt, 'y' if dflt else 'n')).lower()
+        i = input('%s [%s] ' % (prompt, 'y' if dflt else 'n')).lower()
         if not i or i[0] in ('y', 'n'):
             break
-        print 'Enter y or n.'
+        print('Enter y or n.')
     return (not i and dflt) or (i and i[0] == 'y')
 
 
@@ -83,10 +85,10 @@ def edit_sect(cfg, sect, opts):
     if bool_query('Edit section %s?' % sect, False):
         if not cfg.has_section(sect):
             cfg.add_section(sect)
-        print '%s settings:' % sect
+        print('%s settings:' % sect)
         for opt, dflt in opts:
             changed_vals |= set_opt(cfg, sect, opt, dflt)
-        print
+        print()
     else:
         if cfg.has_section(sect) and bool_query('Delete section %s?' % sect,
                                                 False):
@@ -99,12 +101,12 @@ def main():
     try:
         host = sys.argv[1]
     except IndexError:
-        print USAGE % sys.argv[0]
+        print(USAGE % sys.argv[0])
         sys.exit(1)
     try:
         d = DroidSUT(host, retryLimit=1)
-    except DMError, e:
-        print e
+    except DMError as e:
+        print(e)
         sys.exit(1)
     # check if using Negatus and change path accordingly
     ini_path = INI_PATH_JAVA
@@ -112,14 +114,14 @@ def main():
         ini_path = INI_PATH_NEGATUS
     cfg = get_cfg(d, ini_path)
     if not cfg.sections():
-        print 'Empty or missing ini file.'
+        print('Empty or missing ini file.')
     changed_vals = False
-    for sect, opts in SCHEMA.iteritems():
+    for sect, opts in SCHEMA.items():
         changed_vals |= edit_sect(cfg, sect, opts)
     if changed_vals:
         put_cfg(d, cfg, ini_path)
     else:
-        print 'No changes.'
+        print('No changes.')
 
 
 if __name__ == '__main__':
diff --git a/testing/mozbase/mozdevice/sut_tests/dmunit.py b/testing/mozbase/mozdevice/sut_tests/dmunit.py
index b4a3d0b9ba..94cb17b3f1 100644
--- a/testing/mozbase/mozdevice/sut_tests/dmunit.py
+++ b/testing/mozbase/mozdevice/sut_tests/dmunit.py
@@ -48,7 +48,7 @@ class DeviceManagerTestLoader(unittest.TestLoader):
         module = __import__(module_name)
         for name in dir(module):
             obj = getattr(module, name)
-            if (isinstance(obj, (type, types.ClassType)) and
+            if (isinstance(obj, (type, type)) and
                     issubclass(obj, unittest.TestCase)) and \
                     (not self.isTestDevice or obj.runs_on_test_device):
                 tests.append(self.loadTestsFromTestCase(obj))
diff --git a/testing/mozbase/mozdevice/sut_tests/genfiles.py b/testing/mozbase/mozdevice/sut_tests/genfiles.py
index 5ab8d6349e..b4014a600b 100644
--- a/testing/mozbase/mozdevice/sut_tests/genfiles.py
+++ b/testing/mozbase/mozdevice/sut_tests/genfiles.py
@@ -11,7 +11,7 @@ import shutil
 
 def gen_binary_file(path, size):
     with open(path, 'wb') as f:
-        for i in xrange(size):
+        for i in range(size):
             byte = '%c' % randint(0, 255)
             f.write(byte)
 
diff --git a/testing/mozbase/mozdevice/sut_tests/runtests.py b/testing/mozbase/mozdevice/sut_tests/runtests.py
index fffc306e3e..b03be7d6d7 100644
--- a/testing/mozbase/mozdevice/sut_tests/runtests.py
+++ b/testing/mozbase/mozdevice/sut_tests/runtests.py
@@ -2,6 +2,7 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
+from __future__ import print_function
 from optparse import OptionParser
 import logging
 import os
@@ -27,11 +28,11 @@ def main(ip, port, heartbeat_port, scripts, directory, isTestDevice, verbose):
     if scripts:
         # Ensure the user didn't include the .py on the name of the test file
         # (and get rid of it if they did)
-        scripts = map(lambda x: x.split('.')[0], scripts)
+        scripts = [x.split('.')[0] for x in scripts]
     else:
         # Go through the directory and pick up everything
         # named test_*.py and run it
-        testfile = re.compile('^test_.*\.py$')
+        testfile = re.compile(r'^test_.*\.py$')
         files = os.listdir(directory)
 
         for f in files:
@@ -56,7 +57,7 @@ if __name__ == "__main__":
         try:
             env_port = int(env_port)
         except ValueError:
-            print >> sys.stderr, "Port in TEST_DEVICE should be an integer."
+            print("Port in TEST_DEVICE should be an integer.", file=sys.stderr)
             sys.exit(1)
 
     # Deal with the options
diff --git a/testing/mozbase/mozdevice/sut_tests/test_datachannel.py b/testing/mozbase/mozdevice/sut_tests/test_datachannel.py
index 99b71a584d..680ec45dfb 100644
--- a/testing/mozbase/mozdevice/sut_tests/test_datachannel.py
+++ b/testing/mozbase/mozdevice/sut_tests/test_datachannel.py
@@ -2,6 +2,7 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
+from __future__ import print_function
 import re
 import socket
 from time import strptime
@@ -30,7 +31,7 @@ class DataChannelTestCase(DeviceManagerTestCase):
         capturedHeader = False
         while numbeats < 3:
             data = self._datasock.recv(1024)
-            print data
+            print(data)
             self.assertNotEqual(len(data), 0)
 
             # Check for the header
diff --git a/testing/mozbase/mozdevice/sut_tests/test_getdir.py b/testing/mozbase/mozdevice/sut_tests/test_getdir.py
index 00ea8c9ae3..66a0694af7 100644
--- a/testing/mozbase/mozdevice/sut_tests/test_getdir.py
+++ b/testing/mozbase/mozdevice/sut_tests/test_getdir.py
@@ -18,7 +18,7 @@ class GetDirectoryTestCase(DeviceManagerTestCase):
         os.makedirs(os.path.join(self.localsrcdir, 'push1', 'sub.1', 'sub.2'))
         path = os.path.join(self.localsrcdir,
                             'push1', 'sub.1', 'sub.2', 'testfile')
-        file(path, 'w').close()
+        open(path, 'w').close()
         os.makedirs(os.path.join(self.localsrcdir, 'push1', 'emptysub'))
         self.localdestdir = tempfile.mkdtemp()
         self.expected_filelist = ['emptysub', 'sub.1']
diff --git a/testing/mozbase/mozdevice/sut_tests/test_info.py b/testing/mozbase/mozdevice/sut_tests/test_info.py
index 57bb4fce01..54a96e65b0 100644
--- a/testing/mozbase/mozdevice/sut_tests/test_info.py
+++ b/testing/mozbase/mozdevice/sut_tests/test_info.py
@@ -2,6 +2,7 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
+from __future__ import print_function
 from dmunit import DeviceManagerTestCase
 
 
@@ -15,6 +16,6 @@ class InfoTestCase(DeviceManagerTestCase):
         cmds = ('os', 'id', 'systime', 'uptime', 'screen', 'memory', 'power')
         for c in cmds:
             data = self.dm.getInfo(c)
-            print c + str(data)
+            print(c + str(data))
 
         # No real good way to verify this.  If it doesn't throw, we're ok.
diff --git a/testing/mozbase/mozdevice/sut_tests/test_prompt.py b/testing/mozbase/mozdevice/sut_tests/test_prompt.py
index 9980ee2ab9..dde349fc68 100644
--- a/testing/mozbase/mozdevice/sut_tests/test_prompt.py
+++ b/testing/mozbase/mozdevice/sut_tests/test_prompt.py
@@ -2,6 +2,7 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
+from __future__ import print_function
 import re
 import socket
 
@@ -21,10 +22,10 @@ class PromptTestCase(DeviceManagerTestCase):
         ip = self.dm.host
         port = self.dm.port
 
-        promptre = re.compile('.*\$\>\x00')
+        promptre = re.compile('.*\\$\\>\x00')
         data = ""
         self.sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
         self.sock.connect((ip, int(port)))
         data = self.sock.recv(1024)
-        print data
+        print(data)
         self.assertTrue(promptre.match(data))
diff --git a/testing/mozbase/mozdevice/sut_tests/test_pull.py b/testing/mozbase/mozdevice/sut_tests/test_pull.py
index 753d8ddd53..81e4dd4d86 100644
--- a/testing/mozbase/mozdevice/sut_tests/test_pull.py
+++ b/testing/mozbase/mozdevice/sut_tests/test_pull.py
@@ -18,7 +18,7 @@ class PullTestCase(DeviceManagerTestCase):
         orig = hashlib.md5()
         new = hashlib.md5()
         local_test_file = os.path.join('test-files', 'mybinary.zip')
-        orig.update(file(local_test_file, 'r').read())
+        orig.update(open(local_test_file, 'r').read())
 
         testroot = self.dm.deviceRoot
         remote_test_file = posixpath.join(testroot, 'mybinary.zip')
diff --git a/testing/mozbase/mozdevice/sut_tests/test_push1.py b/testing/mozbase/mozdevice/sut_tests/test_push1.py
index f457d6cc55..8859ad9496 100644
--- a/testing/mozbase/mozdevice/sut_tests/test_push1.py
+++ b/testing/mozbase/mozdevice/sut_tests/test_push1.py
@@ -28,7 +28,7 @@ class Push1TestCase(DeviceManagerTestCase):
         if not os.path.exists(p1):
             os.makedirs(os.path.join(p1, 'sub.1', 'sub.2'))
         if not os.path.exists(os.path.join(p1, 'sub.1', 'sub.2', 'testfile')):
-            file(os.path.join(p1, 'sub.1', 'sub.2', 'testfile'), 'w').close()
+            open(os.path.join(p1, 'sub.1', 'sub.2', 'testfile'), 'w').close()
 
         self.dm.pushDir(p1, posixpath.join(dvpath, 'push1'))
 
diff --git a/testing/mozbase/mozdevice/tests/sut.py b/testing/mozbase/mozdevice/tests/sut.py
index 76a5ed3136..dd8f37ea80 100644
--- a/testing/mozbase/mozdevice/tests/sut.py
+++ b/testing/mozbase/mozdevice/tests/sut.py
@@ -10,7 +10,7 @@ import time
 from threading import Thread
 
 
-class MockAgent(object):
+class MockAgent:
 
     MAX_WAIT_TIME_SECONDS = 10
     SOCKET_TIMEOUT_SECONDS = 5
diff --git a/testing/mozbase/mozdevice/tests/sut_copytree.py b/testing/mozbase/mozdevice/tests/sut_copytree.py
index ec22828d07..75a15df0a7 100644
--- a/testing/mozbase/mozdevice/tests/sut_copytree.py
+++ b/testing/mozbase/mozdevice/tests/sut_copytree.py
@@ -1,5 +1,4 @@
 #!/usr/bin/env python
-# -*- coding: utf-8 -*-
 
 # This Source Code Form is subject to the terms of the Mozilla Public
 # License, v. 2.0. If a copy of the MPL was not distributed with this file,
diff --git a/testing/mozbase/mozdevice/tests/sut_fileMethods.py b/testing/mozbase/mozdevice/tests/sut_fileMethods.py
index 142950a816..7ec69302f4 100644
--- a/testing/mozbase/mozdevice/tests/sut_fileMethods.py
+++ b/testing/mozbase/mozdevice/tests/sut_fileMethods.py
@@ -40,7 +40,7 @@ class TestFileMethods(unittest.TestCase):
     def test_getFile(self):
 
         fname = "/mnt/sdcard/file"
-        commands = [("pull %s" % fname, "%s,%s\n%s" % (fname, len(self.content), self.content)),
+        commands = [("pull %s" % fname, "{},{}\n{}".format(fname, len(self.content), self.content)),
                     ("hash %s" % fname, self.temp_hash)]
 
         with tempfile.NamedTemporaryFile() as f:
@@ -57,7 +57,7 @@ class TestFileMethods(unittest.TestCase):
                     ("cd /mnt/sdcard", ""),
                     ("ls", "file"),
                     ("isdir %s" % fname, "FALSE"),
-                    ("pull %s" % fname, "%s,%s\n%s" % (fname, len(self.content), self.content)),
+                    ("pull %s" % fname, "{},{}\n{}".format(fname, len(self.content), self.content)),
                     ("hash %s" % fname, self.temp_hash)]
 
         tmpdir = tempfile.mkdtemp()
diff --git a/testing/mozbase/mozdevice/tests/sut_info.py b/testing/mozbase/mozdevice/tests/sut_info.py
index 93f3d42581..565dd3dc8a 100644
--- a/testing/mozbase/mozdevice/tests/sut_info.py
+++ b/testing/mozbase/mozdevice/tests/sut_info.py
@@ -40,7 +40,7 @@ class TestGetInfo(unittest.TestCase):
 
             expected = re.sub(r'\ +', ' ', self.commands[directive][1]).split('\n')
             # Account for slightly different return format for 'process'
-            if directive is 'process':
+            if directive == 'process':
                 expected = [[x] for x in expected]
 
             self.assertEqual(d.getInfo(directive=directive)[directive], expected)
diff --git a/testing/mozbase/mozdevice/tests/sut_movetree.py b/testing/mozbase/mozdevice/tests/sut_movetree.py
index 0e106577c8..a674391586 100644
--- a/testing/mozbase/mozdevice/tests/sut_movetree.py
+++ b/testing/mozbase/mozdevice/tests/sut_movetree.py
@@ -1,5 +1,4 @@
 #!/usr/bin/env python
-# -*- coding: utf-8 -*-
 
 # This Source Code Form is subject to the terms of the Mozilla Public
 # License, v. 2.0. If a copy of the MPL was not distributed with this file,
diff --git a/testing/mozbase/mozdevice/tests/sut_pull.py b/testing/mozbase/mozdevice/tests/sut_pull.py
index c9fcae42a6..8fd12f9fb5 100644
--- a/testing/mozbase/mozdevice/tests/sut_pull.py
+++ b/testing/mozbase/mozdevice/tests/sut_pull.py
@@ -15,7 +15,7 @@ class PullTest(unittest.TestCase):
             # pull file is kind of gross, make sure we can still execute commands after it's done
             remoteName = "/mnt/sdcard/cheeseburgers"
             a = MockAgent(self, commands=[("pull %s" % remoteName,
-                                           "%s,%s\n%s" % (remoteName,
+                                           "{},{}\n{}".format(remoteName,
                                                           len(cheeseburgers),
                                                           cheeseburgers)),
                                           ("isdir /mnt/sdcard", "TRUE")])
@@ -32,7 +32,7 @@ class PullTest(unittest.TestCase):
         # to be larger file
         remoteName = "/mnt/sdcard/cheeseburgers"
         a = MockAgent(self, commands=[("pull %s" % remoteName,
-                                       "%s,15\n%s" % (remoteName,
+                                       "{},15\n{}".format(remoteName,
                                                       "cheeseburgh"))])
         d = mozdevice.DroidSUT("127.0.0.1", port=a.port,
                                logLevel=logging.DEBUG)
diff --git a/testing/mozbase/mozdevice/tests/sut_push.py b/testing/mozbase/mozdevice/tests/sut_push.py
index 023d5315cc..c906c9632d 100644
--- a/testing/mozbase/mozdevice/tests/sut_push.py
+++ b/testing/mozbase/mozdevice/tests/sut_push.py
@@ -18,7 +18,7 @@ class PushTest(unittest.TestCase):
 
         # (good response, no exception), (bad response, exception)
         for response in [(expectedResponse, False), ("BADHASH", True)]:
-            cmd = "push /mnt/sdcard/foobar %s\r\n%s" % (len(pushfile), pushfile)
+            cmd = "push /mnt/sdcard/foobar {}\r\n{}".format(len(pushfile), pushfile)
             a = MockAgent(self, commands=[("isdir /mnt/sdcard", "TRUE"),
                                           (cmd, response[0])])
             exceptionThrown = False
diff --git a/testing/mozbase/mozfile/mozfile/__init__.py b/testing/mozbase/mozfile/mozfile/__init__.py
index a527f0ad6d..011371a64b 100644
--- a/testing/mozbase/mozfile/mozfile/__init__.py
+++ b/testing/mozbase/mozfile/mozfile/__init__.py
@@ -3,6 +3,5 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import absolute_import
 
 from .mozfile import *
diff --git a/testing/mozbase/mozfile/mozfile/mozfile.py b/testing/mozbase/mozfile/mozfile/mozfile.py
index 94805594ec..d9ed7b828b 100644
--- a/testing/mozbase/mozfile/mozfile/mozfile.py
+++ b/testing/mozbase/mozfile/mozfile/mozfile.py
@@ -1,13 +1,11 @@
-# -*- coding: utf-8 -*-
-
 # This Source Code Form is subject to the terms of the Mozilla Public
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
 # We don't import all modules at the top for performance reasons. See Bug 1008943
 
-from __future__ import absolute_import
 
+from __future__ import print_function
 from contextlib import contextmanager
 import errno
 import os
@@ -55,7 +53,7 @@ def extract_zip(src, dest):
         try:
             bundle = zipfile.ZipFile(src)
         except Exception:
-            print "src: %s" % src
+            print("src: %s" % src)
             raise
 
     namelist = bundle.namelist()
@@ -161,8 +159,8 @@ def _call_windows_retry(func, args=(), retry_max=5, retry_delay=0.5):
 
             retry_count += 1
 
-            print '%s() failed for "%s". Reason: %s (%s). Retrying...' % \
-                (func.__name__, args, e.strerror, e.errno)
+            print('%s() failed for "%s". Reason: %s (%s). Retrying...' % \
+                (func.__name__, args, e.strerror, e.errno))
             time.sleep(retry_count * retry_delay)
         else:
             # If no exception has been thrown it should be done
@@ -420,9 +418,9 @@ def is_url(thing):
     Return True if thing looks like a URL.
     """
 
-    import urlparse
+    import urllib.parse
 
-    parsed = urlparse.urlparse(thing)
+    parsed = urllib.parse.urlparse(thing)
     if 'scheme' in parsed:
         return len(parsed.scheme) >= 2
     else:
@@ -436,7 +434,7 @@ def load(resource):
     result of urllib2.urlopen()
     """
 
-    import urllib2
+    import urllib.request, urllib.error, urllib.parse
 
     # handle file URLs separately due to python stdlib limitations
     if resource.startswith('file://'):
@@ -444,6 +442,6 @@ def load(resource):
 
     if not is_url(resource):
         # if no scheme is given, it is a file path
-        return file(resource)
+        return open(resource)
 
-    return urllib2.urlopen(resource)
+    return six.moves.urllib.request.urlopen(resource)
diff --git a/testing/mozbase/mozfile/tests/stubs.py b/testing/mozbase/mozfile/tests/stubs.py
index 06d79e7af1..6d7e2ec263 100644
--- a/testing/mozbase/mozfile/tests/stubs.py
+++ b/testing/mozbase/mozfile/tests/stubs.py
@@ -25,7 +25,7 @@ def create_stub():
             if not os.path.exists(dirname):
                 os.makedirs(dirname)
             contents = path[-1]
-            f = file(fullpath, 'w')
+            f = open(fullpath, 'w')
             f.write(contents)
             f.close()
         return tempdir
diff --git a/testing/mozbase/mozfile/tests/test_extract.py b/testing/mozbase/mozfile/tests/test_extract.py
index e91f52349b..71a53b8cb3 100644
--- a/testing/mozbase/mozfile/tests/test_extract.py
+++ b/testing/mozbase/mozfile/tests/test_extract.py
@@ -1,5 +1,6 @@
 #!/usr/bin/env python
 
+from __future__ import print_function
 import os
 import shutil
 import tarfile
@@ -21,10 +22,10 @@ class TestExtract(unittest.TestCase):
             path = os.path.join(directory, *f)
             exists = os.path.exists(path)
             if not exists:
-                print "%s does not exist" % (os.path.join(f))
+                print("%s does not exist" % (os.path.join(f)))
             self.assertTrue(exists)
             if exists:
-                contents = file(path).read().strip()
+                contents = open(path).read().strip()
                 self.assertTrue(contents == f[-1])
 
     def test_extract_zipfile(self):
diff --git a/testing/mozbase/mozfile/tests/test_load.py b/testing/mozbase/mozfile/tests/test_load.py
index 13a5b519c1..f6630fc6ec 100755
--- a/testing/mozbase/mozfile/tests/test_load.py
+++ b/testing/mozbase/mozfile/tests/test_load.py
@@ -45,7 +45,7 @@ class TestLoad(unittest.TestCase):
             tmp.close()
 
             # read the file
-            contents = file(tmp.name).read()
+            contents = open(tmp.name).read()
             self.assertEqual(contents, 'foo bar')
 
             # read the file with load and a file path
diff --git a/testing/mozbase/mozfile/tests/test_move_remove.py b/testing/mozbase/mozfile/tests/test_move_remove.py
index e9d0cd4347..72cd444a33 100644
--- a/testing/mozbase/mozfile/tests/test_move_remove.py
+++ b/testing/mozbase/mozfile/tests/test_move_remove.py
@@ -77,7 +77,7 @@ class MozfileRemoveTestCase(unittest.TestCase):
         """Test removing a directory with an open file"""
         # Open a file in the generated stub
         filepath = os.path.join(self.tempdir, *stubs.files[1])
-        f = file(filepath, 'w')
+        f = open(filepath, 'w')
         f.write('foo-bar')
 
         # keep file open and then try removing the dir-tree
diff --git a/testing/mozbase/mozfile/tests/test_tempfile.py b/testing/mozbase/mozfile/tests/test_tempfile.py
index 3c3d26d5d6..c395e484ac 100644
--- a/testing/mozbase/mozfile/tests/test_tempfile.py
+++ b/testing/mozbase/mozfile/tests/test_tempfile.py
@@ -66,7 +66,7 @@ class TestNamedTemporaryFile(unittest.TestCase):
         path = None
         with mozfile.NamedTemporaryFile(delete=True) as tf:
             path = tf.name
-        self.assertTrue(isinstance(path, basestring))
+        self.assertTrue(isinstance(path, str))
         self.assertFalse(os.path.exists(path))
 
         # it is also deleted when __del__ is called
diff --git a/testing/mozbase/mozhttpd/mozhttpd/__init__.py b/testing/mozbase/mozhttpd/mozhttpd/__init__.py
index c15b0d0285..1575bd59f2 100644
--- a/testing/mozbase/mozhttpd/mozhttpd/__init__.py
+++ b/testing/mozbase/mozhttpd/mozhttpd/__init__.py
@@ -37,12 +37,12 @@ content from the current directory, defines a single API endpoint
                             urlhandlers = [ { 'method': 'GET',
                                               'path': '/api/resources/([^/]+)/?',
                                               'function': resource_get } ])
-  print "Serving '%s' at %s:%s" % (httpd.docroot, httpd.host, httpd.port)
+  print("Serving '%s' at %s:%s" % (httpd.docroot, httpd.host, httpd.port))
   httpd.start(block=True)
 
 """
 
-from mozhttpd import MozHttpd, Request, RequestHandler, main
-from handlers import json_response
+from .mozhttpd import MozHttpd, Request, RequestHandler, main
+from .handlers import json_response
 
 __all__ = ['MozHttpd', 'Request', 'RequestHandler', 'main', 'json_response']
diff --git a/testing/mozbase/mozhttpd/mozhttpd/mozhttpd.py b/testing/mozbase/mozhttpd/mozhttpd/mozhttpd.py
index 4ca0847d2a..dfd2a6a435 100755
--- a/testing/mozbase/mozhttpd/mozhttpd/mozhttpd.py
+++ b/testing/mozbase/mozhttpd/mozhttpd/mozhttpd.py
@@ -4,8 +4,9 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this file,
 # You can obtain one at http://mozilla.org/MPL/2.0/.
 
-import BaseHTTPServer
-import SimpleHTTPServer
+from __future__ import print_function
+import http.server as BaseHTTPServer
+import http.server as SimpleHTTPServer
 import errno
 import logging
 import threading
@@ -13,12 +14,13 @@ import posixpath
 import socket
 import sys
 import os
-import urllib
-import urlparse
+import urllib.request
+import urllib.parse
+import urllib.error
 import re
 import moznetwork
 import time
-from SocketServer import ThreadingMixIn
+from socketserver import ThreadingMixIn
 
 
 class EasyServer(ThreadingMixIn, BaseHTTPServer.HTTPServer):
@@ -26,7 +28,7 @@ class EasyServer(ThreadingMixIn, BaseHTTPServer.HTTPServer):
     acceptable_errors = (errno.EPIPE, errno.ECONNABORTED)
 
     def handle_error(self, request, client_address):
-        error = sys.exc_value
+        error = sys.exc_info()[1]
 
         if ((isinstance(error, socket.error) and
              isinstance(error.args, tuple) and
@@ -48,7 +50,7 @@ class Request(object):
     def __init__(self, uri, headers, rfile=None):
         self.uri = uri
         self.headers = headers
-        parsed = urlparse.urlsplit(uri)
+        parsed = urllib.parse.urlsplit(uri)
         for i, attr in enumerate(self.uri_attrs):
             setattr(self, attr, parsed[i])
         try:
@@ -87,7 +89,7 @@ class RequestHandler(SimpleHTTPServer.SimpleHTTPRequestHandler):
                 (response_code, headerdict, data) = \
                     handler['function'](self.request, *m.groups())
                 self.send_response(response_code)
-                for (keyword, value) in headerdict.iteritems():
+                for (keyword, value) in headerdict.items():
                     self.send_header(keyword, value)
                 self.end_headers()
                 self.wfile.write(data)
@@ -100,9 +102,9 @@ class RequestHandler(SimpleHTTPServer.SimpleHTTPRequestHandler):
         """Find the on-disk path to serve this request from,
         using self.path_mappings and self.docroot.
         Return (url_path, disk_path)."""
-        path_components = filter(None, self.request.path.split('/'))
-        for prefix, disk_path in self.path_mappings.iteritems():
-            prefix_components = filter(None, prefix.split('/'))
+        path_components = [_f for _f in self.request.path.split('/') if _f]
+        for prefix, disk_path in self.path_mappings.items():
+            prefix_components = [_f for _f in prefix.split('/') if _f]
             if len(path_components) < len(prefix_components):
                 continue
             if path_components[:len(prefix_components)] == prefix_components:
@@ -156,9 +158,9 @@ class RequestHandler(SimpleHTTPServer.SimpleHTTPRequestHandler):
         # except we serve from self.docroot instead of os.getcwd(), and
         # parse_request()/do_GET() have already stripped the query string and
         # fragment and mangled the path for proxying, if required.
-        path = posixpath.normpath(urllib.unquote(self.path))
+        path = posixpath.normpath(urllib.parse.unquote(self.path))
         words = path.split('/')
-        words = filter(None, words)
+        words = [_f for _f in words if _f]
         path = self.disk_root
         for word in words:
             drive, word = os.path.splitdrive(word)
@@ -323,7 +325,7 @@ def main(args=sys.argv[1:]):
     # create the server
     server = MozHttpd(host=host, port=options.port, docroot=options.docroot)
 
-    print "Serving '%s' at %s:%s" % (server.docroot, server.host, server.port)
+    print(("Serving '%s' at %s:%s" % (server.docroot, server.host, server.port)))
     server.start(block=True)
 
 if __name__ == '__main__':
